### Property

# WebKit Settings:enable-javascript

unstable since: 6.0

#### Declaration

    property enable-javascript: gboolean [ read, write, construct ]

#### Description [src]

Determines whether or not JavaScript executes within a page.

Type: | `gboolean`
Available since: | 6.0

Default value | TRUE
Getter method | `webkit_settings_get_enable_javascript()`
Setter method | `webkit_settings_set_enable_javascript()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no